package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 *  六矿汇总表 act_supplies_sixminessummarytable
 *
 * @author
 * @date 2023-08-30
 */
public class ActSuppliesSixMinesSummaryTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** id */
    private String id;

    /** 历史数据id */
    private Long hId;

    /** 项目编码 */
    @Excel(name = "项目编码")
    private String projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String departmentName;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String unit;

    /** 数量 */
    @Excel(name = "数量")
    private Double number;

    /** 单价 */
    @Excel(name = "单价")
    private Double nuitPrice;

    /** 金额 */
    @Excel(name = "金额")
    private Double money;

    /** 费用来源 */
    @Excel(name = "费用来源")
    private String costChannels;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createBy;

    /** 日期 */
    @Excel(name = "日期")
    private String hDate;

    /** 所属矿区 */
    @Excel(name = "所属矿区")
    private String mining;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long gethId() {
        return hId;
    }

    public void sethId(Long hId) {
        this.hId = hId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Double getNumber() {
        return number;
    }

    public void setNumber(Double number) {
        this.number = number;
    }

    public Double getNuitPrice() {
        return nuitPrice;
    }

    public void setNuitPrice(Double nuitPrice) {
        this.nuitPrice = nuitPrice;
    }

    public Double getMoney() {
        return money;
    }

    public void setMoney(Double money) {
        this.money = money;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String gethDate() {
        return hDate;
    }

    public void sethDate(String hDate) {
        this.hDate = hDate;
    }

    public String getMining() {
        return mining;
    }

    public void setMining(String mining) {
        this.mining = mining;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getCostChannels() {
        return costChannels;
    }

    public void setCostChannels(String costChannels) {
        this.costChannels = costChannels;
    }

    @Override
    public String toString() {
        return "ActSuppliesSixMinesSummaryTable{" +
                "id=" + id +
                ", hId=" + hId +
                ", projectId='" + projectId + '\'' +
                ", projectName='" + projectName + '\'' +
                ", departmentName='" + departmentName + '\'' +
                ", number=" + number +
                ", nuitPrice=" + nuitPrice +
                ", money=" + money +
                ", createBy='" + createBy + '\'' +
                ", hDate='" + hDate + '\'' +
                ", mining='" + mining + '\'' +
                '}';
    }
}
